package com.gic.haoban.manage.web.controller.content;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.content.api.qdto.comment.ListMobileCommentQDTO;
import com.gic.content.api.service.ContentMaterialCommentApiService;
import com.gic.haoban.manage.web.qo.content.comment.CommentCountQO;
import com.gic.haoban.manage.web.qo.content.comment.CommentInfoVO;
import com.gic.haoban.manage.web.qo.content.comment.SaveCommentQO;
import com.gic.haoban.manage.web.qo.content.comment.SonCommentInfoVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 知识库-评论
 * @Author MUSI
 * @Date 2023/9/19 3:16 PM
 * @Description
 * @Version
 **/
@RestController
@RequestMapping(path = "/comment")
public class CommentController {

    @Autowired
    private ContentMaterialCommentApiService contentMaterialCommentApiService;

    /**
     * 评论总数（包含子评论）
     * @return
     */
    @RequestMapping(path = "/count-comment")
    public RestResponse<Integer> countContentComment(CommentCountQO commentCountQO) {

        ListMobileCommentQDTO mobileCommentQDTO = new ListMobileCommentQDTO();
        mobileCommentQDTO.setEnterpriseId(commentCountQO.getEnterpriseId());
        mobileCommentQDTO.setContentMaterialCommentId(commentCountQO.getContentMaterialId());
        mobileCommentQDTO.setMaterialPurpose(3);
        ServiceResponse<Integer> serviceResponse = contentMaterialCommentApiService.countCommentForWechat(mobileCommentQDTO);
        return RestResponse.successResult(serviceResponse.getResult());
    }

    /**
     * 评论列表
     * @param commentCountQO
     * @return
     */
    @RequestMapping(path = "/list-comment")
    public RestResponse<Page<CommentInfoVO>> listCommentInfoVo(CommentCountQO commentCountQO) {
        return RestResponse.successResult();
    }

    /**
     * 子评论列表
     * @return
     */
    @RequestMapping(path = "/list-son-comment")
    public RestResponse<Page<SonCommentInfoVO>> listSonComment(CommentCountQO commentCountQO) {
        return RestResponse.successResult();
    }

    /**
     * 添加评论
     * @param saveCommentQO
     * @return
     */
    @RequestMapping(path = "/save-comment")
    public RestResponse<?> saveComment(SaveCommentQO saveCommentQO) {
        return RestResponse.successResult();
    }
}
